Skip to main content
GET
/
api
/
ee
/
audit
List audit records
curl --request GET \
  --url https://api.example.com/api/ee/audit \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "action": "<string>",
    "actorId": "<string>",
    "actorType": "<string>",
    "targetId": "<string>",
    "targetType": "<string>",
    "sourcebotVersion": "<string>",
    "metadata": {},
    "orgId": 123
  }
]
This API is only available with an active Enterprise license. Please add your license key to activate it.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your API key.

Query Parameters

since
string<date-time>

Return records at or after this timestamp (ISO 8601).

until
string<date-time>

Return records at or before this timestamp (ISO 8601).

page
integer
default:1
Required range: x > 0
perPage
integer
default:50
Required range: 0 < x <= 100

Response

Paginated audit log.

id
string
required
timestamp
string<date-time>
required
action
string
required

The audited action (e.g. user.read, user.delete, audit.fetch).

actorId
string
required
actorType
string
required
targetId
string
required
targetType
string
required
sourcebotVersion
string
required
metadata
object
required
orgId
number
required